Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Class VersionController

    java.lang.Object
      org.apache.fop.pdf.VersionController

    public abstract class VersionController

extends java.lang.Object

An abstraction that controls the mutability of the PDF version for a document.

Method Summary
`static VersionController` | `getDynamicVersionController(Version initialVersion, PDFDocument doc)` Returns a controller that allows subsequent changes to the document's version.
`static VersionController` | `getFixedVersionController(Version version)` Returns a controller that disallows subsequent change to the document's version.
`Version` | `getPDFVersion()` Returns the PDF version of the document.
`abstract void` | `setPDFVersion(Version version)` Sets the PDF version of the document.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getPDFVersion

    public Version getPDFVersion()

  Returns the PDF version of the document.

  Returns:
    the PDF version

### setPDFVersion

    public abstract void setPDFVersion(Version version)

  Sets the PDF version of the document.

  Parameters:
    `version` - the PDF version
  Throws:
    `java.lang.IllegalStateException` - if the PDF version is not allowed to change.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getFixedVersionController

    public static VersionController getFixedVersionController(Version version)

  Returns a controller that disallows subsequent change to the document's version. The minimum allowed version is v1.4.

  Parameters:
    `version` - the PDF version (must be >= v1.4)
  Returns:
    the fixed PDF version controller

### getDynamicVersionController

    public static VersionController getDynamicVersionController(Version initialVersion,
                                                                PDFDocument doc)

  Returns a controller that allows subsequent changes to the document's version.

  Parameters:
    `initialVersion` - the initial PDF version
    `doc` - the document whose version is being set
  Returns:
    the dynamic PDF version controller

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.